import { Location } from '../context';
import { DOMNode } from './domnode';
import { MetaTable } from '../meta';
export declare class DOMTree {
    readonly root: DOMNode;
    private active;
    doctype?: string;
    constructor(location: Location);
    pushActive(node: DOMNode): void;
    popActive(): void;
    getActive(): DOMNode;
    resolveMeta(table: MetaTable): void;
    getElementsByTagName(tagName: string): DOMNode[];
    visitDepthFirst(callback: (node: DOMNode) => void): void;
    find(callback: (node: DOMNode) => boolean): DOMNode;
    querySelector(selector: string): DOMNode;
    querySelectorAll(selector: string): DOMNode[];
}
