import { Location } from './context';
import { DOMNode } from 'dom';
import { Rule } from './rule';
export interface Message {
    ruleId: string;
    severity: number;
    message: string;
    offset: number;
    line: number;
    column: number;
}
export interface Result {
    messages: Message[];
    filePath: string;
    errorCount?: number;
    warningCount?: number;
}
export interface Report {
    valid: boolean;
    results: Result[];
}
export declare class Reporter {
    result: {
        [filename: string]: Array<Message>;
    };
    constructor();
    static merge(reports: Report[]): Report;
    add(node: DOMNode, rule: Rule, message: string, severity: number, location: Location): void;
    addManual(filename: string, message: Message): void;
    save(): Report;
    protected isValid(): boolean;
}
export default Reporter;
